#define XGPMM_MAJOR 32
#define XGPMM_NAME "xgpmm"
#define DRIVER_NAME XGPMM_NAME

struct stData_IRQ {
  unsigned int iIrqNumber;
  unsigned int iDevBaseAddress;
};

#define XGPMM_IOCTL_BASE          0xbb
#define XGPMM_IOCTL_CASE_GET     _IOR(XGPMM_IOCTL_BASE, 0, int)
#define XGPMM_IOCTL_CASE_SET     _IOW(XGPMM_IOCTL_BASE, 1, int)
#define XGPMM_IOCTL_IRQ_SET      _IOW(XGPMM_IOCTL_BASE, 2, struct stData_IRQ)
#define XGPMM_IOCTL_IRQ_PRN      _IO(XGPMM_IOCTL_BASE, 3)





